Subject: bug#29790: How to extract overridden tarred file

From: Eric Blake <[email-masked]>
Date: Wed, 20 Dec 2017 14:22:03 -0600

tag 29790 notabug
thanks

On 12/20/2017 01:21 PM, narasimha kumar wrote:
> Hi when I perform the tar it has tarred but after removing the original
> file.i mistakanley pressed the previous command to tar then it has
> overriden and size showed 45.so pls help me to extract the original or
> tarred file.
> #tar -cvzf server.log.tar.gz server.log
> #ls -ltr-> it showed size 270mb server.log.tar.gz
> And then mistakenly I pressed previous command
> #tar -cvzf server.log.tar.gz server.log
> It showed file is missed
> #ls -ltr-> it shows size 45 server.log.tar.gz
> Please provide me the solution for this

You sent your question to the gzip mailing list, but gzip wasn't 
responsible for your data loss.  While I feel sorry for your loss, 
there's not much I can do beyond pointing you to this coreutils FAQ:

https://www.gnu.org/software/coreutils/faq/coreutils-faq.html#I-used-rm-to-remove-a-file_002e-How-can-I-get-it-back-now_003f

Meanwhile, I'm tagging this thread so that the bug-tracker doesn't keep 
it open as a gzip bug.

-- 
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3266
Virtualization:  qemu.org | libvirt.org